%define anolis_release 1
%global pypi_name aenum
%global pypi_version 3.1.15

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Advanced Enumerations, NamedTuples and NamedConstants for Python

License:        BSD
URL:            https://github.com/ethanfurman/aenum
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Advanced Enumerations (compatible with Python's stdlib Enum), NamedTuples, and
NamedConstants

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Advanced Enumerations (compatible with Python's stdlib Enum), NamedTuples, and
NamedConstants


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Remove py2 module
rm -f aenum/_py2.py
sed -i '/_py2.py/d' MANIFEST.in

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license aenum/LICENSE
%doc README.md aenum/doc aenum/CHANGES
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Tue Apr 16 2024 Shenglong Zhu <shenglongzhu@linux.alibaba.com> - 3.1.15-1
- Initial package.
